Jeśli w Ubuntu nie działa wam Photoscan

W nowej wersji Ubuntu (15.10) nie działa nowy Agisoft Photoscan (wersja 1.2.2). Program się nie uruchamia. Najprostszym wyjściem jest używanie starszej wersji aplikacji. Na pewno działa 1.1.6.

Wyjaśnieniem problemu jest komunikat, który pojawia się, gdy spróbujemy uruchomić program z konsoli:

zrzut248Problemem są biblioteki Qt programu. Rozwiązaniem problemu jest po prostu usunięcie bibliotek programu i zmuszenie go w ten sposób z korzystania z bibliotek systemowych. Trzeba więc trwale usunąć pliki znajdujące się w katalogu „photoscan-pro” (w wersji podstawowej programu ten katalog pewnie nazywa się inaczej): libQtCore.so.4, libQtGui.so.4, libQtNetwork.so.4, libQtOpenGL.so.4.

Po ich usunięciu program uruchamia się z wykorzystaniem tych bibliotek zainstalowanych w systemie. I działa:

zrzut249zrzut247

Advertisements

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Log Out / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Log Out / Zmień )

Facebook photo

Komentujesz korzystając z konta Facebook. Log Out / Zmień )

Google+ photo

Komentujesz korzystając z konta Google+. Log Out / Zmień )

Connecting to %s